local theme_assets = require("beautiful.theme_assets")
local xresources = require("beautiful.xresources")
local dpi = xresources.apply_dpi

local gfs = require("gears.filesystem")
local g = require("gears")
local themes_path = gfs.get_configuration_dir().."themes/betelgeuse/"

local def_theme_path = gfs.get_themes_dir()

local theme = {}

theme.font          = "FiraCode Nerd Font Mono 8"

theme.bg_normal     = "#222831"
theme.bg_focus      = "#222831"
theme.bg_urgent     = "#222831"
theme.bg_minimize   = "#222831"
theme.bg_systray    = theme.bg_normal

theme.fg_normal     = "#dfe2e7"
theme.fg_focus      = "#dfe2e7"
theme.fg_urgent     = "#dfe2e7"
theme.fg_minimize   = "#dfe2e7"

theme.useless_gap   = dpi(0)
theme.border_width  = dpi(2)
theme.border_normal = "#2c3440"
theme.border_focus  = "#2c3440"
theme.border_marked = "#2c3440"



-- theme.titlebar_close_button_normal              = themes_path.."titlebar/close.png"
theme.titlebar_close_button_normal              = g.surface.load_from_shape(30, 30, g.shape.circle, "#db504a")
theme.titlebar_close_button_focus               = g.surface.load_from_shape(30, 30, g.shape.circle, "#db504a")
theme.titlebar_close_button_focus_hover         = g.surface.load_from_shape(30, 30, g.shape.circle, "#de615c")

theme.titlebar_minimize_button_normal           = themes_path.."titlebar/minimize.png"
theme.titlebar_minimize_button_focus            = themes_path.."titlebar/minimize_alt.png"

theme.titlebar_maximized_button_normal_inactive = themes_path.."titlebar/maximized.png"
theme.titlebar_maximized_button_focus_inactive  = themes_path.."titlebar/maximized_alt.png"
theme.titlebar_maximized_button_normal_active   = themes_path.."titlebar/maximized.png"
theme.titlebar_maximized_button_focus_active    = themes_path.."titlebar/maximized_alt.png"

theme.menu_submenu_icon = "/usr/share/awesome/themes/default/submenu.png"
theme.menu_height = dpi(15)
theme.menu_width  = dpi(100)

theme.wallpaper = themes_path.."lotus_wallpaper.png"

theme.awesome_icon = theme_assets.awesome_icon(
    theme.menu_height, theme.bg_focus, theme.fg_focus
)

theme.icon_theme = nil

return theme

